> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the accounting transactions (PMS)

> Returns a list of the accounting transactions



## OpenAPI

````yaml get /consumers/{consumer_id}/pms/accounting-transactions
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pms/accounting-transactions:
    get:
      tags:
        - Property Management System
        - Accounting transactions
      summary: Get the accounting transactions (PMS)
      description: Returns a list of the accounting transactions
      operationId: pms_get_accounting_transactions
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_PMSAccountingTransactionItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pms
            - pms.read
            - pms.accounting_transactions
            - pms.accounting_transactions.read
components:
  schemas:
    ChiftPage_PMSAccountingTransactionItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PMSAccountingTransactionItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[PMSAccountingTransactionItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    PMSAccountingTransactionItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        group_id:
          type: string
          title: Group Id
          description: Group id of the transaction
        date:
          type: string
          format: date-time
          title: Date
          description: >-
            Datetime of the transaction.This is the date when the transaction is
            recorded in the pms system.
        amount:
          type: number
          title: Amount
          description: Total amount
        is_tax_line:
          type: boolean
          title: Is Tax Line
          description: Indicates the transaction is tax line
        sub_group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sub Group Id
          description: Sub group id of the transaction
        tax_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Code
          description: >-
            Indicates the tax code used for the transaction. This is the Id of
            the Tax Code in the pms software.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Text description for this transaction.
          default: ''
        currency_exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Currency Exchange Rate
          description: Exchange rate applicable at the transaction date.
          default: 1
        currency:
          type: string
          title: Currency
          description: Indicates the currency of the operation (e.g., EUR, USD).
        transaction_type:
          $ref: '#/components/schemas/PMSAccountingTransactionType'
          description: Type of transaction
          examples:
            - pos
        accounting_category_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Accounting Category Id
          description: >-
            Used by a PMS to give specific accounting categories to a
            transaction item.
          examples:
            - 371ca583-d218-4900-b236-397532cf0e2
        ledger_account_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Ledger Account Code
          description: Ledger account code assigned to the category
          examples:
            - '123456'
        status:
          $ref: '#/components/schemas/PMSAccountingTransactionStatus'
          description: >-
            string indicating if invoice has been posted (finalized) in the pms
            system.
          examples:
            - posted
        origin:
          anyOf:
            - $ref: '#/components/schemas/PMSAccountingTransactionOrigin'
            - type: 'null'
          description: Type of origin of the transaction item
          examples:
            - id: '1'
              type: payment
        partner_id:
          anyOf:
            - $ref: '#/components/schemas/ChiftId'
            - type: 'null'
          description: Reference to the partner related to this transaction
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
          description: >-
            Optional reference field used to store an external or contextual
            identifier related to the transaction.
        location_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Id
          description: ID of the location this transaction belongs to
      type: object
      required:
        - id
        - source_ref
        - group_id
        - date
        - amount
        - is_tax_line
        - currency
        - transaction_type
        - status
        - origin
      title: PMSAccountingTransactionItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    PMSAccountingTransactionType:
      type: string
      enum:
        - payment
        - room
        - addon
        - invoice
        - pos
        - fee
        - tax
        - reservation
        - other
      title: PMSAccountingTransactionType
    PMSAccountingTransactionStatus:
      type: string
      enum:
        - draft
        - posted
      title: PMSAccountingTransactionStatus
    PMSAccountingTransactionOrigin:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in the target software
          examples:
            - '1'
        type:
          $ref: '#/components/schemas/PMSAccountingTransactionOriginType'
          description: Type of the transaction
          examples:
            - invoice
      type: object
      required:
        - id
        - type
      title: PMSAccountingTransactionOrigin
    ChiftId:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
      type: object
      required:
        - id
        - source_ref
      title: ChiftId
    PMSAccountingTransactionOriginType:
      type: string
      enum:
        - payment
        - invoice
        - order
      title: PMSAccountingTransactionOriginType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````